0.269 2024-08-29 [#708 - Vas Crabb]
-----------------------------------


New working systems
-------------------
Atlantis Computers MCG-85 [Nigel Barnes]
Fidelity International Gambit Voice [hap, Sean Riddle]
Jeux Nathan Mega 10.000: L'Encyclopédie Électronique [hap, Sean Riddle]
Novag Industries Diamond [hap, Berger]
Novag Industries Emerald Classic Plus [hap, Berger]
Saitek / Heuristic Software Kasparov Blitz (set 1) [hap, Berger]
Senario Drum Super Star [David Haywood, Sean Riddle, Peter Wilhelmsen]

New working clones
------------------
Heavy Barrel (US, revision 3) [Brian Troha, The Dumping Union]
Hyper Street Fighter II: The Anniversary Edition (Japan 040123) [bugcutt]
Nics TV Boy (Nics, NTSC) [Taksangs]
Quiz Gakuen Paradise (Japan, ver. 1.02) [hammy]
Quiz Gekiretsu Scramble (Japan, prototype) [hammy]
Saitek / Heuristic Software Kasparov Blitz (set 2) [hap, Berger]
Tarzan Chuang Tian Guan (China, V110) [hammy]
Umi de Poker / Marine Paradise (Japan, newer) [Ioannis Bampoulas]
X-Men Vs. Street Fighter (Japan 970113) [bugcutt]

New systems marked not working
------------------------------
Altos Computer Systems ACS586 [Lubomir Rintel]
Bandai / Koto Dragon Ball Z x One Piece: Battle Taikan Gum-Gum no Kamehameha: Omee no Koe de Ora o Yobu (Japan) [David Haywood, TeamEurope]
Cai Jin Shen Long (link version, extension, S111CN) [dyq, little0, Guru]
Cai Jin Shen Long (link version, host) [dyq, little0, Guru]
Dancing Bells [hammy]
Geki Makaimura [Darksoft]
IVL Technologies (Disney / Memcorp Inc license) Karaoke Microphone Pro / KaraokeMicro Star (Greece) [David Haywood, TeamEurope]
IVL Technologies (Lexibook / Imago license) Disney Princess Handheld Karaoke Player (DKS7000-P) [David Haywood, TeamEurope]
Jin Hu Lu 2 [dyq, little0, Guru]
Long Hu Da Man Guan [dyq, little0, Guru]
Long Teng Hu Yue [dyq, little0, Guru]
Magical Jack (VA 4.00) [Ioannis Bampoulas]
Magical Jack Plus (VA 6.03) [Ioannis Bampoulas]
Manguan Caishen (link version, extension, S110CN) [dyq, little0, Guru]
Manguan Caishen (link version, host) [dyq, little0, Guru]
Mars Electronics Automatic Products Vending Machine model 110 (set 1) [Joan RF, jordigahan]
Micro Concepts Microbox II [Nigel Barnes, David Rumball]
PK - New Exciting Poker! [hammy]
Poker & 21 [Ioannis Bampoulas]
Seiko MAP-1010 [Nigel Barnes, JLTurSan]
Takara / SSD Company LTD Duel Masters: Duel Station (Japan) [David Haywood, TeamEurope]
Takara Tomy Boku wa Plarail Untenshi Shinkansen de Ikou! Plus (Japan) [David Haywood, TeamEurope]
Technics SX-KN5000 [Felipe Corrêa da Silva Sanches, Angelo Salese]
Tropical Fruits (V. 24-06.00 Rev. 4.0) [The Dumping Union]
Turbo PK [hammy]
unknown WHT gambling game [hammy]
Wan Wan Dash [TeamEurope, Darksoft]
Zanussi / Necta Firenze (vending machine) [Joan RF, jordigahan]
Zanussi / Necta unknown Zanussi / Necta vending machine [Joan RF, jordigahan]
Zanussi / Necta Venezia (coffee vending machine) [Joan RF, jordigahan]

New clones marked not working
-----------------------------
Crazy Balls (Bontempi) [Domenico Cervini]
Fruit Genie (Version 1-1-03, set 2) [Ioannis Bampoulas]
Fruit Genie (Version 1-1-03, set 3) [Ioannis Bampoulas]
Fruit Genie (Version 1-1-03, set 4) [Ioannis Bampoulas]
Fruit Genie (VT 2.11) [Ioannis Bampoulas]
Long Hu Da Man Guan Plus [dyq, little0, Guru]
Magical Jack (VA 2.0) [Ioannis Bampoulas]
Magical Jack (VA 3.11) [Ioannis Bampoulas]
Magical Jack (VA 3.30) [Ioannis Bampoulas]
Magical Jack Plus (VA 6.01) [Ioannis Bampoulas]
Manguan Caishen (China, V106CS) [dyq, little0, Guru]
Mars Electronics Automatic Products Vending Machine model 110 (set 2) [Joan RF, jordigahan]
Pentacup (rev. T) [Matt Walsh, PinMAME]
Shuang Long Qiang Zhu 2 VS (China, set 2) [dyq, little0, Guru]
Te Yi Gong Neng (China, V632C) [dyq, little0, Guru]
Tic Tac Trivia (6221-25, U5-0E, 05/08/86, UK) [hammy, Brian Troha, The Dumping Union]


New working software list items
-------------------------------
altos586: Altos Diagnostic Executive [Lubomir Rintel]
ekara_cart: Super Cartridge: Best Hit (Japan) (SP-07) [David Haywood, TeamEurope]
hp98x6_rom: BASIC 4.0, BASIC 5.1, SSS HPL+II [F. Ulivi]
microbox2_flop: Microbox II 6809 FLEX V3.01, Microbox II Distribution [David Rumball]

Software list items promoted to working
---------------------------------------
c64_cart: Pitfall II: The Lost Caverns [Angelo Salese]
msx1_cart: X & Y (Arab) [Wilbert Pol]

New software list items marked not working
------------------------------------------
easy_karaoke_cart:
  Disney Princess 10-Song Karaoke Cartridge I (DK-P1), Karaoke Microphone Pro Cartridge 1 (Greece) [David Haywood, TeamEurope]
leapfrog_leappad_cart:
  Anpanman no CoCoPad de AIUEO kyoushitsu Pinocchio (Japan),
  Benny and Friends English Book Vol. 2 -Majo to taiketsu! Daibouken- (Japan),
  CoCoPad ROM Cassette Kono men o ue ni shiteirete ne! (11 November 2007, 1 January 2008) (Japan),
  CoCoPad ROM Cassette Kono men o ue ni shiteirete ne! (3 March 2007 - 5 May 2007) (Japan),
  CoCoPad ROM Cassette Kono men o ue ni shiteirete ne! (7 July 2007, 9 September 2007) (Japan), Disney Princess (Japan),
  Disney's World of English 1: Birthday Fun (Japan), Disney's World of English 2: The Picnic (Japan),
  Disney's World of English 3: The Circus (Japan), Disney's World of English 4: The Zoo (Japan),
  ECC Junior no hajimete eikaiwa! 1 Eigo de tanoshiku Say Hello! (Japan), FUN-damentals Series - Smart Guide to 4th Grade (UK),
  Hello Kitty no gakkou no ichinichi (Japan), Idainaru Sakkyokukatachi (Japan),
  Kikansha Thomas to nakamatachi - Kikansha Thomas Yakunitatsu kikansha (Japan),
  Kodomo Challenge English CoCoPad ROM Cassette Kono men o ue ni shiteirete ne! (2008/3 March - Shimajirou to Libby no
  ABC Adventure, 2008/5 May - Shimajirou to Libby no Touch and step game de asobou) (Japan),
  Kuma no Pooh-san Hachimitsu no tsubo ga ippai Pooh-san to kazu·katachi (Japan), Kuma no Pooh-san: Pooh-san to Hachimitsu (Japan),
  Minna de tanoshiku! CoCoPad (Otameshi soft) (Japan),
  Okaasan to Issho: Goo Choco Lantan: Spoo no Fushigi na Oto no Daibouken! (Japan),
  Shinkenzemi Challenge 2-nensei Korasho to issho ni kuku o oboeyou! (Japan), Yuuki Rinrin Anpunch! (Japan)
  [David Haywood, TeamEurope]
psion1: Science Pack (alt), Utility Pack (alt) [Nigel Barnes]


MAME Testers bugs fixed (1)
---------------------------
- 08902: [Gameplay] (casio/pv1000.cpp) pv1000: Running any game causes the emulated system to crash (lidnariq)


Merged pull requests
--------------------
- 11670: altos/altos586.cpp: Added preliminary Altos ACS586 emulation [Lubomir Rintel].
- 12494: machine/z80dma.cpp: Implemented burst mode and refactored code, and hooked up BUSRQ/BUSAK in systems using it [holub].
- 12564: misc/marywu.cpp: Improved peripherals – it’s now possible to trigger music from the debugger [flama12333].
- 12569: skeleton/zfirenze.cpp, skeleton/zvenezia.cpp: Dumped three Zanussi/Necta vending machines [Joan RF, jordigahan, ClawGrip].
- 12596: skeleton/marsvending.cpp: Dumped two Mars Electronics vending machines [Joan RF, jordigahan, ClawGrip].
- 12604: dai_cass/xml: Moved language information to info elements; pcw.xml, xegs.xml: Cleaned up descriptions [ArcadeShadow].
- 12610: debugger/debuggdbstub.cpp: Added an option to set the IP address to listen on [Ramiro Polla].
- 12615: a800_flop.xml; a2600.xml: Improved descriptions [ArcadeShadow].
- 12619: c128_flop.xml; plus4_cart.xml; vic1001_flop.xml; pet_rom.xml: Cleaned up descriptions [ArcadeShadow].
- 12623: casio/pv1000.cpp: Assert BUSRQ during active display (gives more realistic performance) [lidnariq].
- 12624: Dumped three karaoke cartridges and two IVL Technologies karaoke systems [David Haywood, TeamEurope].
- 12626: leapfrog_leappad_cart.xml: Dumped 21 CocoPad cartridges and one LeapPad cartridge [David Haywood, TeamEurope].
- 12627: heathzenith/mms77316_fdc.cpp: Suppress side effects of data reads for debugger accesses [Mark Garlanger].
- 12628: igs/igs_fear.cpp: Added more detail to manufacturer and description metadata [Michael Sanborn].
- 12630: metro/metro.cpp: Split driver state class for different hardware configurations and cleaned up code [cam900].
- 12631: casio/pv1000.cpp: Fixed video scan line interrupt generation regression [lidnariq].
- 12632: skeleton/koto_zevio.cpp: Added a skeleton Koto Laboratory Zevio SoC driver with one game [David Haywood, TeamEurope].
- 12633: tvgames/generalplus_gpl16250_spi.cpp: Added a Plarail Shinkansen driving game (not working) [David Haywood, TeamEurope].
- 12634: neogeo/neogeo_spr.h: Fixed horizontal video timings; neogeo/midas.cpp: Fixed zoom table RAM size [cam900].
- 12638: capcom/cps2.cpp: Added newer revisions of Hyper Street Fighter II and X-Men Vs. Street Fighter [bugcutt].
- 12639: tvgames/xavix_2000.cpp: Added preliminary support for Duel Masters: Duel Station [David Haywood, TeamEurope].
- 12640: gaelco/gaelco3d.cpp: Added placeholders for the undumped microcontroller used by Speed Up [Recreativas.org, ClawGrip].
- 12641: konami/xmen.cpp: Added service switch inputs [jotego].
- 12642: igs/pgm2.cpp: Dumped the CPLD for Bu Bu Car [Victor Fernandez (City Game), Recreativas.org, ClawGrip].
- 12643: misc/changyu.cpp: Hooked up the OPLL sound chip and vertical sync interrupt [flama12333].
- 12645: sgi_mips.xml: Renamed some NetBSD CD-ROM images to make labels unique across parent/clone sets [jflatt].
- 12646: cpu/t11, ussr/bk.cpp: Improved interrupt handling on the 1801VM1 CPU and fixed miscellaneous issues [shattered].
- 12647: sinclair/tsconf.cpp: Fixed graphics layer priorities and screen updates [holub].
- 12649: matsushita/kn5000.cpp: Added a skeleton driver for the Technics SX-KN5000 keyboard [Felipe Corrêa da Silva Sanches, Angelo Salese].
- 12651: konami/k052109.cpp: Implemented a configuration bit used by xmen and gradius3 allowing a workaround to be removed [jotego].
- 12652: tvgames/spg2xx.cpp: Added Senario Drum Super Star [David Haywood, Sean Riddle, Peter Wilhelmsen].
- 12654: gaelco/gaelco3d.cpp: Added placeholder for Football Power ball controller microcontroller ROM [Recreativas.org, ClawGrip].
- 12655: tvgames/spg2xx.cpp: Filled in the year for Drum Super Star [David Haywood].
- 12656: atari/a2600.cpp: Added an NTSC TV Boy variant from Nics [Taksangs, David Haywood].
- 12657: tvgames/spg2xx_wiwi.cpp: Filled in the year for Double Dance Mania: Mega 12 (shown on packaging) [David Haywood].
- 12659: casio/pv1000.cpp: Fixed I/O port reads and interrupt acknowledgement [lidnariq].
- 12661: hp/hp98x6.cpp, hp/hp98x6_optrom.cpp, hp98x6_rom.xml: Added HP98x6 series option ROM support [F. Ulivi].
- 12662: cirsa/neptunp2.cpp: Dumped B. Gaming Technology Dancing Bells (not working) [hammy, ClawGrip].
- 12663: atari/cops.cpp: Added default non-volatile RAM contents for Revelations [David Haywood].
- 12664: igs/igs_fear.cpp: Save non-volatile RAM contents, and cleaned up inputs [David Haywood].
- 12665: sat_cart.xml, sat_vccart.xml: Avoid abbreviations and use lowercase for descriptive text in descriptions [ArcadeShadow].
- 12667: igs/igs_m027.cpp: igs/igs_m027xa.cpp: Dumped internal ROMs for two IGS027A CPUs [Peter Wilhelmsen, David Haywood].
- 12671: igs/igs_m027.cpp: Dumped internal ROMs for four IGS027A CPUs [Guru, XingXing, David Haywood].
- 12672: konami/k573fpga.cpp: Implemented proper MP3 decryption for Dance Dance Revolution Solo Bass Mix [spicyjpeg, Windy Fairy].
- 12675: machine/intelfsh.cpp: Added ST M29W640GB 8K Flash device [Wilbert Pol].
- 12677: igs/igs_m027.cpp: Dumped internal ROMs for two IGS027A CPUs [Guru, XingXing, David Haywood].
- 12679: emu/debug/dvdisasm.cpp: Fixed horizontal scrolling; debugger/win: Don’t restrict maximum window width [dave-br].
- 12680: igs/igs_m027.cpp, igs/igs_m027_link.cpp: Dumped internal ROMs for four IGS027A CPUs [Guru, XingXing, David Haywood].
- 12681: msx1_cart.xml: Corrected ROM loading for X & Y [Wilbert Pol].
- 12683: igs/igs_m027.cpp: Added decryption for lhdmg and lhdmgp [XingXing, Happy].
- 12685: igs/pgmcrypt.cpp: Fixed decryption for mgcs3 and mgzz; igs/igs_m027.cpp corrected a game title [XingXing, Happy].


Source changes
--------------
- commodore/c65.cpp: Basic convert DMAgic to device [Angelo Salese].
- blitz: Add note about calibration [hap].
- ioport: Offset analog value by half a step because of rounding issue when crossing 0 (crossing 0 now takes 1 step instead of 2, and there's 0.5 step wiggle room at edges) [hap].
- heathzenith/mms77316_fdc.cpp: Suppress side effects of data reads for debugger accesses (#12627) [Mark Garlanger].
- casio/pv1000.cpp: IRQs were broken in a08b1138: now commercial games work again (#12631) [lidnariq].
- igs_fear.cpp: Pubilisher licenses and Chinese title addition for superkds (#12628) [Michael Sanborn]:
  * Fearless Pinocchio was licensed by American Alpha.
  * Super Kids was licensed by Golden Dragon Amusement.
  * Added Chinese title to superkds.
- nmk/nmk16.cpp: Improved controls and scrolling for tdragonb2. IRQs related problems remain [Ivan Vangelista].
- sunelectronics/shangha3.cpp: Consolidated driver in single file [Ivan Vangelista].
- commodore/c65.cpp: Move DMA logic to emu_timer [Angelo Salese].
- cpu/m6502/om65ce02.lst: Fix stz_ce_aba and stz_ce_abx opcodes [Angelo Salese].
- commodore/c65.cpp: Implement DMAgic DIR [Angelo Salese].
- novag*: Brighter text labels in internal artwork [hap].
- nubus/nubus_specpdq.cpp: Derive the horizontal visible area from the written values [R. Belmont].
- nubus/nubus_specpdq.cpp: Adjust the drawing offset to match the new CRTC parameter calculation [R. Belmont].
- igs/goldstar.cpp: Redumped GFX ROM for hamhouse9 [taksangs].
- irem/m72.cpp: Decapped and added MCU for gallopm72 [TeamEurope, Darksoft, The Dumping Union].
- taito/taitotz.cpp: documented batlgr2' HDD [Guru].
- au: Combine program rom files to match known set (same rom contents) [hap].
- nightgal.cpp: Inputs cleanup [Dirk Best].
- igs/goldstar.cpp: Got animalw to boot [ Ioannis Bampoulas].
- misc/jungleyo.cpp: verified inputs / DIPs for the recently added sets [Ivan Vangelista].
- nokia/mikromikko2: Fixed palette and added disk labels [Curt Coder].
- altos/altos586.cpp: Added preliminary Altos ACS586 emulation (#11670) [Lubomir Rintel]:
  * cpu/i86: Make "out dx,al" output masked AX on data bus.
  * altos/altos586_hdc.cpp: Added Altos 586 Hard Disk Controller emulation.
- leapfrog_leappad_cart.xml: Dumped 21 CocoPad cartridges and one LeapPad cartridge (#12626) [David Haywood, TeamEurope].
- skeleton/koto_zevio.cpp: Added a skeleton driver for TV games using the Koto Laboratory Zevio SoC. (#12632) [David Haywood].
- tvgames/generalplus_gpl16250_spi.cpp: Added a Playrail Shinkansen driving game (not working) (#12633) [David Haywood].
- c128_flop.xml; plus4_cart.xml; vic1001_flop.xml; pet_rom.xml: Avoid abbreviations and use lowercase for descriptive text (#12619) [ArcadeShadow].
- a800_flop.xml; a2600.xml: Improved descriptions (#12615) [ArcadeShadow]:
  * Use correctly spelled title from box for a2600:spacetun1.
  * Use lowercase for descriptive text.
- dai_cass.xml, pcw.xml, xegs.xml: Improved metadata (#12604) [ArcadeShadow]:
  * dai_cass.xml: Moved languages from descriptions to info elements.
  * pcw.xml, xegs.xml: Don't unnecessarily abbreviate country names.
  * pcw.xml, xegs.xml: Use lowercase for descriptive text.
- metro/metro.cpp: Split driver state class for different hardware configurations (#12630) [cam900]:
  * Suppress side effects for debugger reads.
  * Move save state registration and other initialization to machine_start.
  * Reduced literal tag usage and runtime tag lookups.
  * Cleaned up switch matrix reading.
- Dumpt three karaoke cartridges and two IVL Technologies karaoke systems (#12624) [David Haywood, TeamEurope].
- debugger/debugqt.cpp: Don't sleep waiting for events on debugger update [Vas Crabb].
- metro/metro.cpp: Fixed build, simplified DIP switch matrix [Vas Crabb].
- sanyo/phc25.cpp: Conventional header #include order [Vas Crabb].
- commodore/c65.cpp: Add CIA0 irq, fast mode select and base videoram offset. Enough to make it boot in C=64 mode [Angelo Salese].
- midway/starrider.cpp: Replaced bad Processor Interface board (PIF) program ROM dump [SynaMax].
- hash/c65_flop.xml, c64_flop_misc.xml, c128_cart.xml, c128_flop.xml: Demote all .d81 files to not working [Angelo Salese].
- commodore/c65.cpp: Move drawing to scanline renderer, add border [Angelo Salese].
- calibr50: Remove athena reference, downtown/seta: small cleanup to comment blocks [hap].
- ti99: Prevent race conditions in TIPI by syncing the webservice client via mutex [Michael Zapf].
- konami/xmen.cpp: Add service switch inputs (#12641) [JOTEGO].
- amiga/mquake.cpp: Added ROM locations, improved documentation [Brian Troha].
- ui pointer options: Set inc/dec to 1s (hold shift for shorter 0.1s), reset options to default when pressing Del [hap]
- ui pointer options: Allow 0.0s hide delay to disable pointer [hap].
- ui pointer options: Revert reset options to default when pressing Del (conflict with ctrlr cfg) [hap].
- ui pointer options: Warning message if delay is set to 0.0s [hap].
- ui: be consistent with custom_render passed variable names [hap].
- ctrlr: Add XML tag to cfg files [hap].
- sliders: Fix regression after a75bb5341d9c39a84e6aecab10b734bafc1d6d9d [hap].
- igs/igs_m027.cpp: dumped MX10EXA for crzybugs US sets and wldfruit, matches dumps for crzybugsj and haunthig [Ioannis Bampoulas].
- igs/gs017.cpp, skeleton/boramz80.cpp: Improvements to documentation [Ivan Vangelista].
- nubus/nubus_specpdq.cpp: Better derivation of the active width [R. Belmont].
- nubus/nubus_specpdq.cpp: Remove debug print [skip ci] [R. Belmont.
- igs/pgm2.cpp: Add CPLD dump for Bu Bu Car [Victor Fernandez (City Game), Recreativas.org] (#12642) [ClawGrip].
- gaelco/gaelco3d.cpp: Add note and ROM placeholder about Speed Up coin distribution [Recreativas.org] (#12640) [ClawGrip].
- tvgames/xavix_2000.cpp: Add preliminary support for Duel Masters: Duel Station (#12639) [David Haywood].
- neogeo/neogeo_spr.cpp: Fix display timing related parameters (#12634) [cam900].
- neogeo/midas.cpp: Fix zoom table RAM size (The maximum allowed access is 64K bytes) [cam900].
- commodore/c65.cpp: Working sprite-background priorities. Implement ROM $C000 view. Basic sprite drawing [Angelo Salese]
- m6502/om65ce02.lst: Fix dew_zpg, phw_aba, phw_iw2. Allows commodore/c65 BASIC to be workable [smf].
- casio/pv1000.cpp: Toggle BUSREQ like hardware does; this slows down games to realistic speeds (#12623) [lidnariq].
- gdbstub: add -debugger_host option (#12610). This allows setting the host to 0.0.0.0 to accept connections from outside of localhost [Ramiro Polla].
- s14001a: Shorthand variable types, small cleanup [hap].
- s14001a: Remove statistics, use logmacro for debug msgs [hap].
- s14001a: Use device_rom_interface [hap].
- konami/k052109.cpp: Remove the color kludge for xmen/gradius3 (#12651) [JOTEGO].
  * removes the color kludge for xmen/gradius3
  * proper handling (init/save) of new m_addrmap variable
- misc/changyu.cpp: Add VBL NMI and hook up the OPLL for changyu2 (#12643) [flama12333].
- sinclair/tsconf.cpp: Fix layers priority, screen updates (#12647) [holub].
- hash/sgi_mips.xml: Rename netbsd 2 images to allow to merge into same directory (#12645) [jflatt].
- spg2xx.cpp : drumsups is from 2007 (#12655) [David Haywood].
- gaelco/gaelco3d.cpp: Add notes and ROM placeholder for Football Power I/O PCB [Recreativas.org] (#12654) [ClawGrip].
- z80dma.cpp: Burst mode and refactoring (#12494) [holub]:
  * zorba fix: restore deffered rdy write.
  * Fix 'x1turbo40 suikoden'.
- novag/diamond2.cpp: Rename (diamond2.cpp) to (diamond.cpp) [hap].
- video/upd7220.cpp: Added uPD7220A variant with new RESET and BLANK commands [Nigel Barnes].
- machine/mc146818.cpp: Implemented Valid RAM and Time (VRT) register [Nigel Barnes].
- psion1.xml: Split alternative versions into clones, and rename some sets [Nigel Barnes].
- psion2.xml: Added release years, amended publishers, and made compatibility feature usable [Nigel Barnes].
- spg2xx_wiwi.cpp: ddmmeg12 is also from 2007 (#12657) [David Haywood].
- playmark/sderby.cpp: Improved  croupierb and magictch a bit. Need PIC dump and core to be playable [Ivan Vangelista].
- nmk/quizdna.cpp: Verified DIPs for gakupara and quzdna [Hammy].
- misc/gms.cpp: Added preliminary reels support [Ivan Vangelista].
- igs/igs_m027.cpp: Preliminary decryption for lthy [IQ_132].
- mcs48: MCU reset sets bus to hi-z if ea=0 [hap].
- memory_view: Fix possible nullptr crash, add exists() getter [hap].
- mcs48: Improve EA pin and add it to advision and mario, mario: mark sound mcu as NO_DUMP, remove USE_8039 [hap].
- sc6.cpp: Rename (gambit) to (classic), update miniscc internal artwork and correct CPU type now that EA pin works [hap].
- fidelity*: Swap feag2100/feag2100a, rename (fexcelpb) to (fexcelpa), (fexcel12) to (fexcel12a), (fexcel124) to (fexcel12); remove (fdes2000), (fdes2100) and add a CPU freq config instead. granits: Fix error beeps problem and update internal artwork [hap].
- fidelity*: Small update to default input mappings [hap].
- mcs48: Shorthand variable types [hap].
- entex/advision.cpp: Fixed Clang compile [Ivan Vangelista].
- ti99_4p: Fixed instabilities from debugger interference and uninitialized variables [Michael Zapf].
- cops.cpp: Provide a default NVRAM to revlatns (#12663) [David Haywood].
- dbox: Replace LATCH8 with HCT259 (dkong.cpp is the only driver using LATCH8) [hap].
- mario: Remove old changelog from comments, add note about soundrom hack after USE_8039 was removed [hap].
- xmen6p: Workaround for broken right side screen colors [hap].
- floppy: Remove HFE image format from the general list for rewrite [Michael Zapf].
- chessmate: Remove todo note. Update notes, correct dac type and fix lose led [hap].
- ccmk2, ccmk2a: Small update to internal artwork [hap].
- Swap ccmk2/ccmk2a sets (newest first) [hap].
- sat_cart.xml, sat_vccart.xml: Metadata cleanings (#12665). Replaced countries' abbreviations by their full name and lowercase on descriptive words [ArcadeShadow].
- igs/igs_fear.cpp: Save sram/nvram, tidy up inputs (F2 service key, single button, no trackball on fearless) (#12664) [David Haywood].
- HP98X6: Added support for option ROMs (#12661) [F. Ulivi].
- Technics KN5000 musical keyboard (#12649) [Felipe Corrêa da Silva Sanches].
- capcom/cps2.cpp: Add new revisions of Hyper Street Fighter 2 and X-Men vs Street Fighter (#12638). Add cps2 Hyper Street Fighter 2 (Japan) revision 040123 as hsf2j1 [bugcutt].
- Add a skeleton driver for Mars Electronics vending machines (#12596) [ClawGrip].
- commodore/c65.cpp: Shuffling for VIC bank support [Angelo Salese].
- hash/c64_cart.xml: QA checkpoint [Angelo Salese].
- commodore/c65.cpp: Preps for C64 software support [Angelo Salese].
- m6502/m4510.cpp: CPU I/O port support (backport from M6510 core) [Angelo Salese].
- jking02, crzybugs: Add IGS027A internal ROM dumps [Peter Wilhelmsen] (#12667) [David Haywood].
- fidelity*: Rename (uvc) to (avcc), rename fidel_bcc.lay to fidel_cc7.lay, chess*: use dac device instead of spkrdev where applicable, after sound quality improved with https://github.com/mamedev/mame/commit/2695a185f97c29cc00e67f2b95debed676413264 [hap].
- vcc: Fix typo from prev commit [hap].
- Fixed dependency generation for machine/i2chle.cpp [Vas Crabb].
- matsushita/kn5000.cpp: Tidy [Vas Crabb].
- capcom/alien.cpp: Change dokodemo and wontame to use boot loader ROMs from pingu/gekimara instead of handmade hack [MetalliC].
- k573fpga: Implement proper MP3 decryption algorithm for ddrsbm [spicyjpeg] (#12672) [987123879113].
- igs_m027.cpp: Add 4 more internal IGS027A dumps [Guru, XingXing] (#12671) [David Haywood].
- igs/igs017.cpp: Fixed merging conflict [Ivan Vangelista].
- mcs48: Rename n7751 to upd7751 [hap].
- video/vic4567: Remove unused device [Angelo Salese].
- commodore/c65.cpp: Add stub exp cart, add DE-9s [Angelo Salese].
- hash/c64_cart.xml: Demote riveraid and pitfall2 [Angelo Salese].
- commodore/c65.cpp: Add remaining base gfxmodes [Angelo Salese].
- selmenu/simpleselgame: Change driver status "Overall:" to "Status:", misc: some company string corrections [hap].
- igs/igs017.cpp: Fixed a regression with starzan [David Haywood].
- m6502/m6510.cpp: Initialize CPU port to all output [Angelo Salese].
- hash/c64_flop_orig.xml: QA games [Angelo Salese].
- dataeast/cntsteer.cpp: QA cleanup, use data_pending_callback for soundlatch IRQ [Angelo Salese].
- igs_m027.cpp: Add two more 027A ROMs [Guru, XingXing] (#12677) [David Haywood].
- sc6: Remove unneeded mcfg [hap].
- tms5x: Rename extract_bits to read_bits [hap].
- dataeast/deco_ld.cpp: Convert to tilemap [Angelo Salese].
- casio/pv1000.cpp: Fixed I/O port read and interrupt acknowledgement (#12659) [lidnariq].
- cpu/t11, ussr/bk.cpp: Improved interrupt handling on 1801VM1, misc fixes (#12646) [shattered]:
  * Allows bus error handlers on BK to deal with interrupt from STOP key (causes a HALT-mode IRQ and triggers access to unmapped region at 177674).
  * cpu/t11: Changed PC display to octal.
  * machine/pdp11.h: Made clear_virq/raise_virq safer.
  * ussr/bk_m.cpp: Suppress side effects for debugger reads.
- casio/pv1000.cpp: Fixed I/O read issues [Vas Crabb]:
  * Don't take a tript through the scheduler if matrix IRQ wasn't active.
  * Suppress read side effects for debugger.
- dataeast/deco_ld.cpp: A few less literal tags [Vas Crabb].
- machine/intelfsh.cpp: Added ST M29W640GB 8K Flash device (#12675) [Wilbert Pol].
- msx1_cart.xml: Corrected ROM loading for X & Y (#12681) [Wilbert Pol].
- misc/marywu.cpp: Improved peripherals (#12564) [flama12333].
  * Fixed PSG and 8279 clock frequencies.
  * Save contents of battery-backed static RAM.
  * Cleaned up inputs.
- misc/marywu.cpp: Use an I/O port finder array [Vas Crabb].
- misc/marywu.cpp: Fixed I/O port selection [Vas Crabb].
- igs_m027.cpp: Add two more 027A internal dumps (and 2 in igs_m027_link too) [Guru, XingXing] (#12680) [David Haywood].
- cirsa/neptunp2.cpp: Add (not working) Dancing Bells (from BGT) (#12662) [ClawGrip].
- Add skeletons for Zanussi/Necta vending machines (#12569) [ClawGrip].
- Also did some small fixes: [ClawGrip]:
  * skeleton/webtouchone.cpp: Typo.
  * skeleton/pulltrigger.cpp: Change COMP to GAME.
  * move 'radikaldarts' to Gaelco Folder.
- dataeast/mirage.cpp: Minor cleanup [Angelo Salese].
- edevices/pzletime.cpp: Cleanups [Angelo Salese]:
  * Make video blinking more sensical.
  * Convert custom ticket handling to ticket_dispenser_device.
  * Convert eeprom/ticket to portw.
  * Avoid potential out-of-cliprect bitmap layer drawing.
- tgtpanic: Increase IRQ frequency, update notes [hap].
- epson/qx10.cpp: Use copyrozbitmap for (external to 7220) zoom handling [Angelo Salese].
- casio/pv1000.cpp: Fixed input port selection removed by PR #12659 [Vas Crabb].
- misc/marywu.cpp: Fixed LED active polarity in layout [Vas Crabb].
- epson/qx10.cpp: At least allow it to build [Vas Crabb].
- epson/qx10.cpp: Rectify previous commit [Angelo Salese].
- casio/pv1000.cpp: Acrually return two bits of joystick input rather than giving spurious interrupt flags [Vas Crabb].
- epson/qx10.cpp: Don't need to check against visible_area in 7220 own code [Angelo Salese].
- igs/igs_m027.cpp: Added decryption for lhdmg and lhdmgp (#12683) [XingXing].
- emu/debug/dvdisasm.cpp: Fixed bad display if view is scrolled horizontally (#12679) [dave-br].
- debugger/win/debugwininfo.cpp: Don't restrict maximum window sizes [dave-br].
- pv1000: Put joystick read in a separate function, remove an unneeded tag lookup [hap].
- igs/igs_m027_link.cpp: Preliminary decryption for the extension sets [Ivan Vangelista].
- igs/pgmcrypt.cpp: Fixed decryption for mgcs3 and mgzz (#12685) [XingXing].
- igs/igs_m027.cpp: Renamed "Man Guan Fu Xing" to "Man Guan Zhi Zun (V101CN)" to match title screen. Former mgzz becomes mgzza, former mgfx becomes mgzz [XingXing].
- matsushita/kn5000.cpp: Corrected some LED connections, sorted mame.lst [Felipe Corrêa da Silva Sanches].
- srcclean in preparation for MAME 0.269 release freeze [Vas Crabb].
- ui/menu.cpp: Avoid floating point equality comparison. Fixes pointer input not working on menus at some window sizes in 32-bit x86 builds [Vas Crabb].
- leapfrog_leappad_cart.xml: Fixed a description [Vas Crabb].
- Cleaned up the mess from #12610 [Vas Crabb]:
  * Command line options need to be documented.
  * Don't assume C strings returned as option values remain valid indefinitely.
  * Fixed wording for option description.